Package org.jfree.layouting.layouter.style.resolver

## Class ResolveHandlerModule

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.ResolveHandlerModule

-     public final class ResolveHandlerModule
      extends java.lang.Object

  Creation-Date: 14.12.2005, 12:06:22
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolveHandlerModule​(StyleKey key, ResolveHandler autoValueHandler, ResolveHandler computedValueHandler, ResolveHandler percentagesValueHandler)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResolveHandler` | `getAutoValueHandler​()` |
    `ResolveHandler` | `getComputedValueHandler​()` |
    `StyleKey[]` | `getDependentKeys​()` |
    `StyleKey` | `getKey​()` |
    `ResolveHandler` | `getPercentagesValueHandler​()` |
    `int` | `getWeight​()` |
    `void` | `setWeight​(int weight)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolveHandlerModule

          public ResolveHandlerModule​(StyleKey key,
                                      ResolveHandler autoValueHandler,
                                      ResolveHandler computedValueHandler,
                                      ResolveHandler percentagesValueHandler)

  - ### Method Detail

    - #### getKey

          public StyleKey getKey​()

    - #### getAutoValueHandler

          public ResolveHandler getAutoValueHandler​()

    - #### getComputedValueHandler

          public ResolveHandler getComputedValueHandler​()

    - #### getPercentagesValueHandler

          public ResolveHandler getPercentagesValueHandler​()

    - #### getDependentKeys

          public StyleKey[] getDependentKeys​()

    - #### getWeight

          public int getWeight​()

    - #### setWeight

          public void setWeight​(int weight)